function init(hero) {
    hero.setName("Blade");
    hero.setTier(8);
    
    hero.setHelmet("item.superhero_armor.piece.helmet");
    hero.setChestplate("item.superhero_armor.piece.chestpiece");
    hero.setLeggings("item.superhero_armor.piece.pants");
    hero.setBoots("item.superhero_armor.piece.boots");
    hero.addPrimaryEquipment("fiskheroes:chokuto", true, item => !item.nbt().getBoolean("Dual"));
    hero.addEquipment("fiskheroes:desert_eagle{Dual:1}", true, item => !item.nbt().getBoolean("Dual"));

    
    hero.addPowers("fiskheroes:cellular_regeneration", "fiskheroes:enhanced_reflexes", "pack:shuriken");
   
   hero.addKeyBind("UTILITY_BELT", "Throwing Star", 2);
      hero.addKeyBind("AIM", "key.aim", -1);
    hero.addKeyBind("GUN_RELOAD", "key.reload", 1);
   
   
   
    hero.addAttribute("PUNCH_DAMAGE", 14, 0);
    hero.addAttribute("FALL_RESISTANCE", 20.0, 0);
    hero.addAttribute("JUMP_HEIGHT", 1.2, 0);
    hero.addAttribute("SPRINT_SPEED", 0.6, 1);
    hero.addAttribute("WEAPON_DAMAGE", 11.0, 0);
    
	
	 hero.setHasPermission(hasPermission);
     hero.setKeyBindEnabled((entity, keyBind) => keyBind != "GUN_RELOAD" || entity.getHeldItem().isGun() && !entity.getData("fiskheroes:aiming"));
      hero.supplyFunction("canAim", entity => entity.getHeldItem().isGun());

}
function hasPermission(entity, permission) {
    return permission == "USE_GRAPPLING_GUN"||  permission == "USE_GUN";
}

